Skip to main content
POST
/
form_types
/
{form_type}
/
generate
Generate forms
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/form_types/{form_type}/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "effective_date": "2026-01-01"
}
'
{
  "id": "<id>",
  "object": "async_task",
  "data": {
    "type": "form_generation",
    "status": "processing",
    "completed_at": null,
    "results": [],
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/async_tasks/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

form_type
string
required

Body

application/json
form_batch_id
string

The form batch to add the generated forms to.

effective_date
string<date>

Determines which form variant to generate. Must be a date for which a generator is configured for the given form type.

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("async_task").

data
Form Type · object